Loading...
Searching...
No Matches
hueplusplus::ExtendedColorHueStrategy Class Reference

`#include <hueplusplus/ExtendedColorHueStrategy.h>`

Inheritance diagram for hueplusplus::ExtendedColorHueStrategy:
[legend]
Collaboration diagram for hueplusplus::ExtendedColorHueStrategy:
[legend]

## Public Member Functions

bool | alertHueSaturation (const HueSaturation &hueSat, Light &light) const override
| Function that lets the light perform one breath cycle in the specified color.
bool | alertXY (const XYBrightness &xy, Light &light) const override
| Function that lets the light perform one breath cycle in the specified color.
Public Member Functions inherited from hueplusplus::SimpleColorHueStrategy
bool | setColorHue (uint16_t hue, uint8_t transition, Light &light) const override
| Function for changing a lights color in hue with a specified transition.
bool | setColorSaturation (uint8_t sat, uint8_t transition, Light &light) const override
| Function for changing a lights color in saturation with a specified transition.
bool | setColorHueSaturation (const HueSaturation &hueSat, uint8_t transition, Light &light) const override
| Function for changing a lights color in hue and saturation format with a specified transition.
bool | setColorXY (const XYBrightness &xy, uint8_t transition, Light &light) const override
| Function for changing a lights color in CIE format with a specified transition.
bool | setColorLoop (bool on, Light &light) const override
| Function for turning on/off the color loop feature of a light.
bool | alertHueSaturation (const HueSaturation &hueSat, Light &light) const override
| Function that lets the light perform one breath cycle in the specified color.
bool | alertXY (const XYBrightness &xy, Light &light) const override
| Function that lets the light perform one breath cycle in the specified color.
HueSaturation | getColorHueSaturation (Light &light) const override
| Function that returns the current color of the light as hue and saturation.
HueSaturation | getColorHueSaturation (const Light &light) const override
| Function that returns the current color of the light as hue and saturation.
XYBrightness | getColorXY (Light &light) const override
| Function that returns the current color of the light as xy.
XYBrightness | getColorXY (const Light &light) const override
| Function that returns the current color of the light as xy.
Public Member Functions inherited from hueplusplus::ColorHueStrategy
virtual | ~ColorHueStrategy ()=default
| Virtual dtor.

## Detailed Description

Class extending the implementation of SimpleColorHueStrategy

To be used for lights that have both color and color temperature.

## Member Function Documentation

## alertHueSaturation()

bool hueplusplus::ExtendedColorHueStrategy::alertHueSaturation | ( | const HueSaturation & | hueSat,
|  | Light & | light
| ) |  | const

override virtual

Function that lets the light perform one breath cycle in the specified color.

Parameters

  hueSat | The color in hue and saturation
  light | A reference of the light

Blocks for the time a Light::alert() needs

Implements hueplusplus::ColorHueStrategy.

## alertXY()

bool hueplusplus::ExtendedColorHueStrategy::alertXY | ( | const XYBrightness & | xy,
|  | Light & | light
| ) |  | const

override virtual

Function that lets the light perform one breath cycle in the specified color.

Parameters

  xy | The color in XY and brightness
  light | A reference of the light

Blocks for the time a Light::alert() needs

Implements hueplusplus::ColorHueStrategy.

The documentation for this class was generated from the following files:

- include/hueplusplus/ExtendedColorHueStrategy.h
- src/ExtendedColorHueStrategy.cpp